package com.e6yun.project.sdk.api.pojo.basevo.basic;

import com.google.common.base.MoreObjects;

/**
 * @Description
 * @Author ningkun@e6yun.com
 * @Created Date: 2021/7/7 14:14
 * @ClassName AllTerminalVO
 * @Remark
 */
public class AllTerminalVO {

    private Integer dtid;

    private String terminalName;

    private String equipCode;

    private Integer deviceType;

    private Integer equipSourceId;

    private String commids;

    private Integer oilControl;

    private Integer isCamera;

    private Integer isHaveLock;

    private Integer isLCD;

    private Integer temperaturectrl;

    private Integer humidityChannel;

    private Integer cooler;

    public Integer getDtid() {
        return dtid;
    }

    public void setDtid(Integer dtid) {
        this.dtid = dtid;
    }

    public String getTerminalName() {
        return terminalName;
    }

    public void setTerminalName(String terminalName) {
        this.terminalName = terminalName;
    }

    public String getEquipCode() {
        return equipCode;
    }

    public void setEquipCode(String equipCode) {
        this.equipCode = equipCode;
    }

    public Integer getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    public Integer getEquipSourceId() {
        return equipSourceId;
    }

    public void setEquipSourceId(Integer equipSourceId) {
        this.equipSourceId = equipSourceId;
    }

    public String getCommids() {
        return commids;
    }

    public void setCommids(String commids) {
        this.commids = commids;
    }

    public Integer getOilControl() {
        return oilControl;
    }

    public void setOilControl(Integer oilControl) {
        this.oilControl = oilControl;
    }

    public Integer getIsCamera() {
        return isCamera;
    }

    public void setIsCamera(Integer isCamera) {
        this.isCamera = isCamera;
    }

    public Integer getIsHaveLock() {
        return isHaveLock;
    }

    public void setIsHaveLock(Integer isHaveLock) {
        this.isHaveLock = isHaveLock;
    }

    public Integer getIsLCD() {
        return isLCD;
    }

    public void setIsLCD(Integer isLCD) {
        this.isLCD = isLCD;
    }

    public Integer getTemperaturectrl() {
        return temperaturectrl;
    }

    public void setTemperaturectrl(Integer temperaturectrl) {
        this.temperaturectrl = temperaturectrl;
    }

    public Integer getHumidityChannel() {
        return humidityChannel;
    }

    public void setHumidityChannel(Integer humidityChannel) {
        this.humidityChannel = humidityChannel;
    }

    public Integer getCooler() {
        return cooler;
    }

    public void setCooler(Integer cooler) {
        this.cooler = cooler;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("dtid", dtid)
                .add("terminalName", terminalName)
                .add("equipCode", equipCode)
                .add("deviceType", deviceType)
                .add("equipSourceId", equipSourceId)
                .add("commids", commids)
                .add("oilControl", oilControl)
                .add("isCamera", isCamera)
                .add("isHaveLock", isHaveLock)
                .add("isLCD", isLCD)
                .add("temperaturectrl", temperaturectrl)
                .add("humidityChannel", humidityChannel)
                .add("cooler", cooler)
                .toString();
    }
}
